Subject: Ticket Assigned - NEED INVOICE NUMBER
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 04 May 2021 14:12:42 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  NEED INVOICE NUMBER Dear Max,

I have shopped items from Max store click and collect. I have received the
item and loved it.
I need to get the invoice no. so that I can claim Shukran points. Could you
please send me the invoice no. my order no. was  *6302812915. *Also here by
attaching the pdf bill i got.

ABDULLA ISHTHIAK

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2501108